## visad
Class Stream2D

    java.lang.Object
      visad.Stream2D

public class Stream2D
extends Object

Field Summary
`(package private) static float` `LENGTH`

Constructor Summary
`Stream2D()`

Method Summary

`(package private) static void`

`stream_trace(float[] ugrid, float[] vgrid, int nr, int nc, float dir, float[][] vr2, float[][] vc2, int[] numv, byte[] markarrow, byte[] markstart, byte[] markend, int nrarrow, int ncarrow, int nrstart, int ncstart, int nrend, int ncend, float row, float col, float stepFactor, float rowlength, float collength, int irend, int icend, Gridded2DSet spatial_set, float[][] spatial_values, int[] offgrid, float cell_fraction)`

`static int` `stream(float[] ugrid, float[] vgrid, int nr, int nc, float density, float stepFactor, float arrowScale, float[][][] vr, float[][][] vc, int[][] numv, int[] numl, Gridded2DSet spatial_set, float packingFactor, float cntrWeight, int n_pass, float reduction)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LENGTH

    static float LENGTH

Constructor Detail

### Stream2D

    public Stream2D()

Method Detail

### stream_trace

    static void stream_trace(float[] ugrid,
                             float[] vgrid,
                             int nr,
                             int nc,
                             float dir,
                             float[][] vr2,
                             float[][] vc2,
                             int[] numv,
                             byte[] markarrow,
                             byte[] markstart,
                             byte[] markend,
                             int nrarrow,
                             int ncarrow,
                             int nrstart,
                             int ncstart,
                             int nrend,
                             int ncend,
                             float row,
                             float col,
                             float stepFactor,
                             float rowlength,
                             float collength,
                             int irend,
                             int icend,
                             Gridded2DSet spatial_set,
                             float[][] spatial_values,
                             int[] offgrid,
                             float cell_fraction)
                      throws VisADException

  Throws:
    `VisADException`

### stream

    public static int stream(float[] ugrid,
                             float[] vgrid,
                             int nr,
                             int nc,
                             float density,
                             float stepFactor,
                             float arrowScale,
                             float[][][] vr,
                             float[][][] vc,
                             int[][] numv,
                             int[] numl,
                             Gridded2DSet spatial_set,
                             float packingFactor,
                             float cntrWeight,
                             int n_pass,
                             float reduction)
                      throws VisADException

  Throws:
    `VisADException`